%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}
%define __debug_install_post %{_mingw32_debug_install_post}

Name:           mingw32-xerces-c
Version:        3.1.1
Release:        1%{?dist}
Summary:        MingGW Windows validating XML parser

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://xml.apache.org/xerces-c/
Source0:        http://www.apache.org/dist/xerces/c/3/sources/xerces-c-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 53
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils

Requires:       pkgconfig

%description
Xerces-C is a validating XML parser written in a portable subset of
C++. Xerces-C makes it easy to give your application the ability to
read and write XML data. A shared library is provided for parsing,
generating, manipulating, and validating XML documents. Xerces-C is
faithful to the XML 1.0 recommendation and associated standards (DOM
1.0, DOM 2.0. SAX 1.0, SAX 2.0, Namespaces).


%{_mingw32_debug_package}


%prep
%setup -q -n xerces-c-%{version}


%build
%{_mingw32_configure} LDFLAGS=-no-undefined \
    --disable-static \
    --disable-pretty-make
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_mingw32_bindir}/*.exe


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE
%{_mingw32_includedir}/xercesc/
%{_mingw32_bindir}/libxerces-c-3-1.dll
%{_mingw32_libdir}/libxerces-c.dll.a
%{_mingw32_libdir}/libxerces-c.la
%{_mingw32_libdir}/pkgconfig/xerces-c.pc


%changelog
* Tue Apr 26 2011 Antti Andreimann <Antti.Andreimann@mail.ee> - 3.1.1-1
- Update to 3.1.1
- Dropped CVE-2009-1885 patch.

* Fri Apr 22 2011 Kalev Lember <kalev@smartlink.ee> - 3.0.1-3
- Rebuilt for pseudo-reloc version mismatch (#698827)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Sep 14 2009 Antti Andreimann <Antti.Andreimann@mail.ee> - 3.0.1-1
- Initial RPM release.
